---
schema_version: "1"
id: 82d8816240afda1fb1c52f5ab4b5587cc90edbb279555c8957843af3402fada5
title: Get sObject Quick Action Default Values by ID
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-quickactions-default-values-id-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-quickactions-default-values-id-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 272661aef78940bc73d82686158b695d2d6ece4bf8ceac164b0242244193023d
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get sObject Quick Action Default Values by ID

Returns the default values for an action specific to the context_id object. This resource is available in REST API version 29.0 and later.

In API version 28.0, to evaluate the default values for an action, use `/services/data/vXX.X/sobjects/sObject/quickActions/action_name/defaultValues/parent_id`.

When working with actions, also refer to [Quick Actions](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-quickactions.md).

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/quickActions/actionName/defaultValues/contextId`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/quickActions/CreateContact/defaultValues/001D000000JRWBd -H "Authorization: Bearer token"
```

